package com.mkyong.user;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import org.apache.wicket.PageParameters;
import org.apache.wicket.markup.html.form.CheckBoxMultipleChoice;
import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.panel.FeedbackPanel;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.model.Model;

public class CheckBoxMultipleChoicePage extends WebPage {

	private static final List<String> LANGUAGES = Arrays.asList(new String[] {
			"Java", ".NET", "PHP", "Ruby", "C/C++" });

	private static final List<String> HOSTING_TYPES = Arrays
			.asList(new String[] { "Shared Host", "VPS", "Clound Host",
					"Dedicated Server" });

	// hold the checkbox values
	private ArrayList<String> languagesSelect = new ArrayList<String>();

	// checked vps and dedicated server by default
	private ArrayList<String> hostingtSelect = new ArrayList<String>(
			Arrays.asList(new String[] { "VPS", "Dedicated Server" }));

	public CheckBoxMultipleChoicePage(final PageParameters parameters) {

		add(new FeedbackPanel("feedback"));

		final CheckBoxMultipleChoice<String> listLanguages = new CheckBoxMultipleChoice<String>(
				"languages", new Model(languagesSelect), LANGUAGES);

		final CheckBoxMultipleChoice<String> listHosting = new CheckBoxMultipleChoice<String>(
				"hostings", new Model(hostingtSelect), HOSTING_TYPES);

		Form<?> form = new Form<Void>("userForm") {
			@Override
			protected void onSubmit() {

				info("Languages : " + languagesSelect.toString());
				info("Hosting Types : " + hostingtSelect.toString());

			}
		};

		add(form);
		form.add(listLanguages);
		form.add(listHosting);

	}
}
